<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Charity Give
 * @since  Charity Give 1.0.0
 */

$wp_customize->add_section( 'charity_give_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','charity-give' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'charity-give' ),
		'panel'             => 'charity_give_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'charity_give_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  charity_give_Switch_Control( $wp_customize,
	'charity_give_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'charity-give' ),
			'section'          	=> 'charity_give_breadcrumb',
			'on_off_label' 		=> charity_give_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'charity_give_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'charity_give_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'charity-give' ),
		'active_callback' 	=> 'charity_give_is_breadcrumb_enable',
		'section'          	=> 'charity_give_breadcrumb',
	)
);
